Confirm Payment Method
curl --request POST \
--url https://app.plugchoice.com/api/v3/teams/{team}/billing/payment-methods/confirm \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payment_method": "<string>"
}
'import requests
url = "https://app.plugchoice.com/api/v3/teams/{team}/billing/payment-methods/confirm"
payload = { "payment_method": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({payment_method: '<string>'})
};
fetch('https://app.plugchoice.com/api/v3/teams/{team}/billing/payment-methods/confirm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}Payment Methods
Confirm Payment Method
POST
/
v3
/
teams
/
{team}
/
billing
/
payment-methods
/
confirm
Confirm Payment Method
Confirms and saves a payment method after the Stripe Setup Intent has been completed on the client side. Requires a verified email and is rate limited to 30 requests per minute.
The UUID of the team.
The Stripe payment method ID.
Response
Whether the payment method was confirmed and saved successfully.
⌘I